Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Attribute - Werte automatisch berechnen lassen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Attribute - Werte automatisch berechnen lassen (484 mal gelesen)
s.rossel@kloeffel.com
Mitglied
Technische Zeichnerin Haustechnik


Sehen Sie sich das Profil von s.rossel@kloeffel.com an!   Senden Sie eine Private Message an s.rossel@kloeffel.com  Schreiben Sie einen Gästebucheintrag für s.rossel@kloeffel.com

Beiträge: 48
Registriert: 23.07.2002

Eingesetzte Software
ADT 2004, RoCAD 4.0

erstellt am: 01. Dez. 2004 13:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute,

Ich würde mir gerne einen Raumstempel mit mehreren Attributen erstellen und in einigen Attributen sollen automatisch Werte berechnet werden.

Beispiel:
Eingabe Attribut 1(Fläche): Wert 25,0 m2
Eingabe Attribut 2(Raumhöhe): Wert 3,0 m
Eingabe Attribut 3(Luftwechsel): Wert 2,5 /h
Eingabe Attribut 4(soll automatisch berechnet werden ohne weitere eingabe: (25,0m2*3,0m)*2,5/h

Das Ergebnis soll also automatisch generiert werden nach Eingabe der ersten 3 Attribute

Frage: geht so etwas irgendwie - ich hab bis jetzt noch nichts im Forum gefunden

Viele Grüße
Sandra

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3098
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 01. Dez. 2004 14:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für s.rossel@kloeffel.com 10 Unities + Antwort hilfreich

Frage: geht so etwas irgendwie - ich hab bis jetzt noch nichts im Forum gefunden
Servus gehen tut´s schon.

Anderer Vorschlag
-mit Attout in eine TXT die Attributwerte auslesen
-die TXT in Excel öffnen
-die Werte rechnen
-speichern
-mit Attin die richtigen Werte lade.

PS.: Sollte man zum schluss machen da es zwar nicht lange dauert aber sich für jedes einzelne nicht auszahlt.

------------------
schöne Grüsse aus der Steiermark  Bernd P. Warum Einfach es geht auch kompliziert

Bitte Supportangaben eintragen, warum siehst du hier

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

erstellt am: 01. Dez. 2004 14:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für s.rossel@kloeffel.com 10 Unities + Antwort hilfreich

Hallo Sandra,

wenn Du einen Block als Raumstempel meinst kann Du ja mal folgendes probieren:

den Blocknamen mußt Du noch Deinem anpassen und es müssen 4 Attribute in dem Block vorhanden sein.

(defun c:test ( / flaeche raumhoehe luftwechsel cmdecho_alt)
  (setq cmdecho_alt (getvar "CMDECHO"))
  (setvar "CMDECHO" 0)
  (setq flaeche(getreal "\nDie Fläche eingeben:")
raumhoehe (getreal "\nRaumhöhe:")
luftwechsel (getreal "\nLuftwechsel:"))
   
  (command "_.insert"
  "Block";;;Hier den Blocknamen eingeben
  "f"
  "1" ;;;Hier den Einfügefaktor eingeben
          (getpoint "\nEinfügepunkt:")""
  (strcat(rtos flaeche 2 1)" m²");;;1. Attribut
  (strcat(rtos raumhoehe 2 1)" m");;;2. Attribut
  (strcat(rtos luftwechsel 2 1)" /h");;;3. Attribut
  (strcat(rtos(*(* flaeche raumhoehe)luftwechsel)2 1)"m³"));;;4. Attribut
  (setvar "CMDECHO" cmdecho_alt)
  (princ)
  )

------------------
viele Grüße

Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

s.rossel@kloeffel.com
Mitglied
Technische Zeichnerin Haustechnik


Sehen Sie sich das Profil von s.rossel@kloeffel.com an!   Senden Sie eine Private Message an s.rossel@kloeffel.com  Schreiben Sie einen Gästebucheintrag für s.rossel@kloeffel.com

Beiträge: 48
Registriert: 23.07.2002

Eingesetzte Software
ADT 2004, RoCAD 4.0

erstellt am: 02. Dez. 2004 13:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Jörn,

soweit ist der Befehl nicht schlecht - jedoch fügt er die eingegebenen Werte nicht in die Attribute ein.

Ich bekomme eine Fehlermeldung nach dem Einfügen des Blockes:

Befehl: test

Die Fläche eingeben:40

Raumhöhe:3

Luftwechsel:2

Einfügepunkt:Unbekannter Befehl "40 M²". Drücken Sie F1-Taste für Hilfe.
Unbekannter Befehl "3 M". Drücken Sie F1-Taste für Hilfe.
Unbekannter Befehl "2 /H". Drücken Sie F1-Taste für Hilfe.
Unbekannter Befehl "240M³". Drücken Sie F1-Taste für Hilfe.


Viele Grüße 
Sandra

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

charlieBV
Ehrenmitglied V.I.P. h.c.
Bauzeichnerin



Sehen Sie sich das Profil von charlieBV an!   Senden Sie eine Private Message an charlieBV  Schreiben Sie einen Gästebucheintrag für charlieBV

Beiträge: 9295
Registriert: 28.08.2003

erstellt am: 02. Dez. 2004 13:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für s.rossel@kloeffel.com 10 Unities + Antwort hilfreich

Hey,

du hast ADT? Dann bist du erst mal im falschen Forum, dein ADT hat Raumstempel, Im DesignCenter unter Planinhalte Bauteilbeschriftung Raume oder Flächen, da kannst du stempel einfügen.
Zu benutzerspezifischen Stempeln nutze mal die Such hier in diesem Forum: http://ww3.cad.de/cgi-bin/ubb/forumdisplay.cgi?action=topics&number=37

Grüße um die Ecke 

Charlie

[Diese Nachricht wurde von charlieBV am 02. Dez. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 02. Dez. 2004 13:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für s.rossel@kloeffel.com 10 Unities + Antwort hilfreich

Hallo,
also mit ADT kenne ich mich nicht aus. In ACAD2005 ist es bei mir gelaufen, aber naja, war doch ein Versuch wert.

------------------
viele Grüße

Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz